Subject: [PWE3] Oustanding Discusses and comments on draft-ietf-pwe3-iana-12.txt ( BCP ) -Brian Carpenter

From: Luca Martini <[email-masked]>
Date: Fri, 21 Oct 2005 17:41:41 -0600

Russ,

Thanks you for your comments. Replies in line below.

Luca

Russ Housley:

Discuss [2005-10-12]:

  Section 2.1 says:
  >
  > IANA needs to set up a registry of "Pseudowire Type". These are 15-
  > bit values. ... PW Type values 1025 through 4096, and 32768 are
  > reserved for future use, and are not to be allocated by IANA.
  >
  32768 (0x8000) is a 16-bit value.

LM: Yes this has been fixed.

  Section 2.3.1 says:
  >
  > IANA needs to set up a registry of "Attachment Individual Identifier
  > (AII) Type". These are 8-bit values. AII Type value 1 is defined in
  > this document.  ...
  >
  > Any assignments requested from this registry require a description up
  > to 54 characters. Furthermore a length specified as follows:
  >  - A decimal integer
  >  - Text as follows:"up to X", where X is a decimal integer
  >  - the word "Variable"
  > Initial Attachment Individual Identifier (AII) Type allocations are
  > specified below:
  > AII Type     Length    Description
  >   0x014      A 32 bit unsigned number local identifier.
  >
  I assume that the AII Type is 0x01 and the length is 4.  The 0x014
  is quite confusing.

LM: this is an unfortunate formatting error. It has been fixed.

  Section 2.3.2 says:
  >
  > IANA needs to set up a registry of "Attachment Group Identifier (AGI)
  > Type".  These are 8-bit values. AGI Type value 1 is defined in this
  > document.  ...
  >
  > Any assignments requested from this registry require a description up
  > to 54 characters. Furthermore a length specified as follows:
  >  - A decimal integer
  >  - Text as follows:"up to X", where X is a decimal integer
  >  - the word "Variable"
  > Initial Attachment Group Identifier (AGI) Type allocations are
  > specified below:
  > AGI Type     Length    Description
  >    0x018      A route distinguisher (RD) as defined in rfc2547
  >
  I assume that the AGI Type is 0x01 and the length is 8.  The 0x018
  is quite confusing.

LM: correct , fixed.

Comment [2005-10-12]:

  This document needs an Introduction.  The Abstract does some context
  setting, but I believe a better introduction is needed.

LM: I'll add an introduction. However note that this document is only 
to instruct IANA to create the registries. It has no other purpose.

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3